Skip to main content
Infrastructure/Lifecycle
POSTLifecycleSince 1.0SynchronousAuth Required

ScaleComponent

Scale a component to the specified number of replicas

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the component to scale

Body Fields

  • replicasIntegerRequired

    Desired number of replicas for the component

    Example: 3

Responses

200 OK

On success, this API returns the following response structure.

  • taskIdString

    Task ID tracking the asynchronous scale operation

    Example: task-a1b2c3d4-e5f6-7890-abcd-ef1234567890

Endpoint

POST/api/v1/lifecycle/components/{uuid}/scale

/api/v1/lifecycle/components/{uuid}/scale

Operation ID

ScaleComponent

Permalink

Request Example

curl -X POST '{host}/api/v1/lifecycle/components/{uuid}/scale' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"replicas":3}'

Response Example

200
{
  "taskId": "task-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Change History

This API has no change history records yet.

View all change history